Subject: Re: [PATCH v2 4/4] makefile/meson: add 'headers-check' as alias for 'hdr-check'

From: Junio C Hamano <[email-masked]>
Date: Thu, 10 Apr 2025 11:58:07 -0700

Phillip Wood <[email-masked]> writes:

> On 10/04/2025 12:30, Karthik Nayak wrote:
>> The 'hdr-check' target in meson and makefile is used to check if headers
>> can be compiled individually. The naming however isn't readable as 'hdr'
>> is not a common shortforme for 'header', neither is it an abbreviation.
>> Let's introduce 'headers-check' as an alternative target for
>> 'hdr-check'
>> and add a `TODO` to deprecate the latter after 2 releases. Since this
>> is an internal tool, we can use a shorter deprecation cycle.
>
> Can we call this "check-headers" to match the other "check-" targets
> in the Makefile please

Excellent suggestion.  If we were to change things, we should get it
right just once.

Thanks.